Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 05 Jul 2022 02:03:25 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery The last order number 9576806249 wasn't in full there was missed piece belt of address I called customer service immediately after receiving it and they told me that I have the right to return it and they make my return request yesterday I wanna be sure form  what they said to me and when it suppose to take it for return https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4583992